import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {TilesComponent} from "./tiles/tiles.component";
import {CalibratorsComponent} from "./calibrators/calibrators.component";
import {JobspecsComponent} from "./jobspecs/jobspecs.component";
import {ExecutionsComponent} from "./executions/executions.component";
import {SettingsComponent} from "./settings/settings.component";
import {ProductsComponent} from "./products/products.component";
import {FileeditorComponent} from "./fileeditor/fileeditor.component";
import {AuthGuardService} from "./services/auth-guard.service";
import {HomeComponent} from "./home/home.component";

const routes: Routes = [
  {path: 'tiles', component: TilesComponent, canActivate: [AuthGuardService]},
  {path: 'calibrators', component: CalibratorsComponent, canActivate: [AuthGuardService]},
  {path: 'products', component: ProductsComponent, canActivate: [AuthGuardService]},
  {path: 'jobs', component: JobspecsComponent, canActivate: [AuthGuardService]},
  {path: 'executions', component: ExecutionsComponent, canActivate: [AuthGuardService]},
  {path: 'settings', component: SettingsComponent, canActivate: [AuthGuardService]},
  {path: 'fileeditor/:origin/:id/:type/:name', component: FileeditorComponent, canActivate: [AuthGuardService]},
  {path: '', component: HomeComponent},
  {path: '**', redirectTo: '/'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
